<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:24:57 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>FlattenInteractionComponents (org.eclipse.papyrus.designer.components.modellibs.core 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FlattenInteractionComponents (org.eclipse.papyrus.designer.components.modellibs.core 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FlattenInteractionComponents.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ExecuteOOTrafo.RemoveComponentElements.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html" target="_top">Frames</a></li>
<li><a href="FlattenInteractionComponents.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.components.modellibs.core.transformations</div>
<h2 title="Class FlattenInteractionComponents" class="title">Class FlattenInteractionComponents</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.components.modellibs.core.transformations.FlattenInteractionComponents</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoElem.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoElem</a>, <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.extensions/apidocs/org/eclipse/papyrus/designer/transformation/extensions/IM2MTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.extensions">IM2MTrafo</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FlattenInteractionComponents</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoElem.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoElem</a></pre>
<div class="block">Flatten interaction components for distributed communication, i.e. remove the enclosing interaction component
 and only deploy the fragments.
 This is required, since the interaction component itself cannot be deployed on several nodes.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#FlattenInteractionComponents--">FlattenInteractionComponents</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#flattenAssembly-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Slot-">flattenAssembly</a></span>(org.eclipse.uml2.uml.Class&nbsp;composite,
               org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
               org.eclipse.uml2.uml.InstanceSpecification&nbsp;containingInstance,
               org.eclipse.uml2.uml.Slot&nbsp;containingSlot)</code>
<div class="block">Flatten a composite interaction component, i.e.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#retargetConnections-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Port-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.Property-">retargetConnections</a></span>(org.eclipse.uml2.uml.Class&nbsp;containingComposite,
                   org.eclipse.uml2.uml.Port&nbsp;port,
                   org.eclipse.uml2.uml.Property&nbsp;part,
                   org.eclipse.uml2.uml.Property&nbsp;subPart)</code>
<div class="block">Find a connection within a connecting</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html#transformElement-org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo-org.eclipse.uml2.uml.Element-">transformElement</a></span>(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.profile/apidocs/org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">M2MTrafo</a>&nbsp;trafo,
                org.eclipse.uml2.uml.Element&nbsp;element)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FlattenInteractionComponents--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FlattenInteractionComponents</h4>
<pre>public&nbsp;FlattenInteractionComponents()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="flattenAssembly-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.InstanceSpecification-org.eclipse.uml2.uml.Slot-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>flattenAssembly</h4>
<pre>public&nbsp;void&nbsp;flattenAssembly(org.eclipse.uml2.uml.Class&nbsp;composite,
                            org.eclipse.uml2.uml.InstanceSpecification&nbsp;instance,
                            org.eclipse.uml2.uml.InstanceSpecification&nbsp;containingInstance,
                            org.eclipse.uml2.uml.Slot&nbsp;containingSlot)</pre>
<div class="block">Flatten a composite interaction component, i.e. replace it by the containing fragments. This includes the following actions
 1. Parts typed with the interaction component must be replaced with a set of parts typed with the fragment.
 2. Connectors must be redirected.

 Please note that we do not delete the original interaction component, but it will not appear in a model generated for a specific node.
 TODO: We need to re-target connectors in all containing composites, but the same containingComposite might have several instances within an application. In this case,
 we only need to move slots.

 Well, there are different classes: first: the flattened interaction component and other components that reference the flattened interaction component.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>composite</code> - a composite class</dd>
<dd><code>instance</code> - the instance associated with the composite class (1st parameter)</dd>
<dd><code>containingInstance</code> - an instance of the containing composite</dd>
<dd><code>containingSlot</code> - the slot associated with the instance (2nd parameter)</dd>
</dl>
</li>
</ul>
<a name="retargetConnections-org.eclipse.uml2.uml.Class-org.eclipse.uml2.uml.Port-org.eclipse.uml2.uml.Property-org.eclipse.uml2.uml.Property-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retargetConnections</h4>
<pre>public&nbsp;void&nbsp;retargetConnections(org.eclipse.uml2.uml.Class&nbsp;containingComposite,
                                org.eclipse.uml2.uml.Port&nbsp;port,
                                org.eclipse.uml2.uml.Property&nbsp;part,
                                org.eclipse.uml2.uml.Property&nbsp;subPart)</pre>
<div class="block">Find a connection within a connecting</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>containingComposite</code> - </dd>
<dd><code>port</code> - A port which delegates to a fragment</dd>
<dd><code>part</code> - the part within the containing composite (1st parameter) point to the interactionComponent</dd>
<dd><code>subPart</code> - a newly created part corresponding to the fragment</dd>
</dl>
</li>
</ul>
<a name="transformElement-org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo-org.eclipse.uml2.uml.Element-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>transformElement</h4>
<pre>public&nbsp;void&nbsp;transformElement(<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.profile/apidocs/org/eclipse/papyrus/designer/transformation/profile/Transformation/M2MTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.profile.Transformation">M2MTrafo</a>&nbsp;trafo,
                             org.eclipse.uml2.uml.Element&nbsp;element)
                      throws <a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoElem.html?is-external=true#transformElement-org.eclipse.papyrus.designer.transformation.profile.Transformation.M2MTrafo-org.eclipse.uml2.uml.Element-" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">transformElement</a></code>&nbsp;in interface&nbsp;<code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoElem.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoElem</a></code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.base/apidocs/org/eclipse/papyrus/designer/transformation/base/utils/TransformationException.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.base.utils">TransformationException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FlattenInteractionComponents.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../org/eclipse/papyrus/designer/components/modellibs/core/transformations/ExecuteOOTrafo.RemoveComponentElements.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html" target="_top">Frames</a></li>
<li><a href="FlattenInteractionComponents.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
